Package Details: fim 0.6-2

Git Clone URL: https://aur.archlinux.org/fim.git (read-only, click to copy)
Package Base: fim
Description: FIM (Fbi IMproved) is a highly customizable and scriptable image viewer.
Upstream URL: https://www.nongnu.org/fbi-improved/
Licenses: GPL2
Conflicts: fim-svn
Submitter: Dragonlord
Maintainer: meanjollies
Last Packager: meanjollies
Votes: 25
Popularity: 0.24
First Submitted: 2008-02-27 17:02
Last Updated: 2020-05-05 16:45

Latest Comments

1 2 3 4 5 Next › Last »

meanjollies commented on 2020-05-19 02:53

Thanks for reporting this. This is now happening after the upgrade of GCC 9 to 10. I have opened up a bug report with the upstream project.

mattf commented on 2020-05-19 02:19

/usr/include/c++/10.1.0/thread:149:46: required from ‘std::thread::thread(_Callable&&, _Args&& ...) [with _Callable = fim::PACA&; _Args = {const fim::string&}; <template-parameter-1-3> = void]’ Cache.h:178:28: required from here /usr/include/c++/10.1.0/thread:211:46: error: could not convert ‘{std::forward<fim::PACA&>(( & __args#0)), std::forward<const fim::string&>(( & __args#1))}’ from ‘<brace-enclosed initializer list>’ to ‘std::tuple<fim::PACA, fim::string>’ 211 | : _M_func{{std::forward<_Args>(__args)...}} | ^ | | | <brace-enclosed initializer list> make[4]: [Makefile:772: SDLDevice.o] Error 1 make[4]: Leaving directory '/home/matheus/.cache/yay/fim/src/fim-0.6-trunk/src' make[3]: [Makefile:805: all-recursive] Error 1 make[3]: Leaving directory '/home/matheus/.cache/yay/fim/src/fim-0.6-trunk/src' make[2]: [Makefile:442: all] Error 2 make[2]: Leaving directory '/home/matheus/.cache/yay/fim/src/fim-0.6-trunk/src' make[1]: [Makefile:447: all-recursive] Error 1 make[1]: Leaving directory '/home/matheus/.cache/yay/fim/src/fim-0.6-trunk' make: *** [Makefile:358: all] Error 2 ==> ERROR: A failure occurred in build().

emk2203 commented on 2020-05-05 16:42

Your solution works (I made sure to get my makepkg.conf back to default values).

Please add this into the PKGBUILD, together with --enable-sdl.

Thanks for your prompt help!

meanjollies commented on 2020-05-05 16:32

Did my solution work? If so, I'll add it into the PKGBUILD, and will also add --enable-sdl.

emk2203 commented on 2020-05-05 16:30

Thanks for your input and the proper solution. Just building on amd64 here, but I want to try this next on some ARM machines with ARMV7L and AARCH64. If there is something which needs to be done differently, please let me know.

meanjollies commented on 2020-05-05 16:07

sed -i 's/configure/configure LIBS=-lpthread/' PKGBUILD, then try to build it manually.

Also, is this being built on some non-x86 architecture?

emk2203 commented on 2020-05-05 15:35

I added the option -lpthread both to CFLAGS and CXXFLAGS. Program compiles and installs. The user needs to be added to the video group besides setting the font path in .bash_profile.

Unchanged, it works in the tty, but under X you get:

ioctl VT_GETSTATE: Inappropriate ioctl for device (not a linux console?) ioctl VT_GETSTATE: Inappropriate ioctl for device

Same with sudo fim.

X support is not the default, a bit unexpected. For fim to work under X, the option --enable-sdl needs to be added in the ./configure part in PKGBUILD and the dependency sdl downloaded. After all this, fim works well under X and with the tty.

meanjollies commented on 2020-05-05 12:21

What libraries does LIBS include? It should include -lpthread, but if it does not, can you let me know if adding LIBS=-lpthread to the PKGBUILD's ./configure options works? Unfortunately, I can't reproduce this, so your help is appreciated.

emk2203 commented on 2020-05-05 11:41

Doesn't compile. Error message:

/usr/bin/ld: Browser.o: undefined reference to symbol 'pthread_create@@GLIBC_2.2.5' /usr/bin/ld: /usr/lib/libpthread.so.0: error adding symbols: DSO missing from command line

I tried adding '-std=c++11 -pthread' to the CXX_FLAGS declaration in the Makefile, but that didn't help. Update would be appreciated.

Danieldakataca commented on 2020-04-14 20:44

Error en la compilación del paquete!